path: /build/build/libkscreen-kde-plasma-5-5.27.9.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -test prefix" emerge kde-plasma/libkscreen:5 -pv -t && \
    USE="-doc -test prefix" emerge -j ${JOBS} --nodeps kde-plasma/libkscreen:5
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libkscreen && luet-portage --dir /pkgdir/libkscreen
    kde-plasma/libkscreen:5 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:b05c7b2f28c558c6ef1b04a67eaaab6c41682996907071bfcefafafb01140b88
  package:
    name: libkscreen
    version: 5.27.9
    category: kde-plasma-5
    use_flags:
    - -doc
    - -test
    - prefix
    requires:
    - name: kwayland
      version: '>=0'
      category: kde-frameworks-5
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Plasma screen management library
    uri:
    - https://kde.org/
    license: GPL-2
    buildtimestamp: 2024-02-11 11:02:44.400263408 +0000 UTC m=+126.790877389
    labels:
      BDEPEND: dev-util/wayland-scanner dev-util/ninja >=dev-util/cmake-3.9.6 test?
        ( !prefix? ( x11-base/xorg-server[xvfb] ) x11-apps/xhost ) >=kde-frameworks/extra-cmake-modules-5.98.0:5
        doc? ( >=dev-qt/qthelp-5.15.2:5 >=app-doc/doxygen-1.8.13-r1 )
      DEPEND: dev-libs/wayland >=dev-qt/qtdbus-5.15.2:5 >=dev-qt/qtgui-5.15.2:5 >=dev-qt/qtwayland-5.15.2:5
        >=dev-qt/qtx11extras-5.15.2:5 >=kde-frameworks/kconfig-5.98.0:5 >=kde-frameworks/kwayland-5.98.0:5
        x11-libs/libxcb >=dev-libs/plasma-wayland-protocols-1.10.0 dev-util/desktop-file-utils
        x11-misc/shared-mime-info test? ( >=dev-qt/qttest-5.15.2:5 ) >=dev-qt/qtcore-5.15.2:5
        doc? ( >=dev-qt/qt-docs-5.15.2:5 ) dev-util/desktop-file-utils
      IUSE: test debug doc test
      RDEPEND: dev-libs/wayland >=dev-qt/qtdbus-5.15.2:5 >=dev-qt/qtgui-5.15.2:5 >=dev-qt/qtwayland-5.15.2:5
        >=dev-qt/qtx11extras-5.15.2:5 >=kde-frameworks/kconfig-5.98.0:5 >=kde-frameworks/kwayland-5.98.0:5
        x11-libs/libxcb >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.98.0:5
        kde-frameworks/oxygen-icons:* ) >=dev-qt/qtcore-5.15.2:5 doc? ( >=dev-qt/qt-docs-5.15.2:5
        )
      emerge.packages: kde-plasma/libkscreen:5
      kit: kde-kit
      original.package.name: kde-plasma/libkscreen
      original.package.slot: "5"
      original.package.version: 5.27.9
    treedir: /build/packages
  package_dir: /pkgdir/libkscreen
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 0032b5fc3126e30d40d33254328b84ab08f270452550c65959fb2d1010c0aa7e
compressiontype: zstd
files:
- usr/bin/kscreen-doctor
- usr/include/KF5/KScreen/KScreen/Config
- usr/include/KF5/KScreen/KScreen/ConfigMonitor
- usr/include/KF5/KScreen/KScreen/ConfigOperation
- usr/include/KF5/KScreen/KScreen/EDID
- usr/include/KF5/KScreen/KScreen/GetConfigOperation
- usr/include/KF5/KScreen/KScreen/Log
- usr/include/KF5/KScreen/KScreen/Mode
- usr/include/KF5/KScreen/KScreen/Output
- usr/include/KF5/KScreen/KScreen/Screen
- usr/include/KF5/KScreen/KScreen/SetConfigOperation
- usr/include/KF5/KScreen/KScreen/Types
- usr/include/KF5/KScreen/KScreenDpms/Dpms
- usr/include/KF5/KScreen/kscreen/backendmanager_p.h
- usr/include/KF5/KScreen/kscreen/config.h
- usr/include/KF5/KScreen/kscreen/configmonitor.h
- usr/include/KF5/KScreen/kscreen/configoperation.h
- usr/include/KF5/KScreen/kscreen/edid.h
- usr/include/KF5/KScreen/kscreen/getconfigoperation.h
- usr/include/KF5/KScreen/kscreen/kscreen_export.h
- usr/include/KF5/KScreen/kscreen/log.h
- usr/include/KF5/KScreen/kscreen/mode.h
- usr/include/KF5/KScreen/kscreen/output.h
- usr/include/KF5/KScreen/kscreen/screen.h
- usr/include/KF5/KScreen/kscreen/setconfigoperation.h
- usr/include/KF5/KScreen/kscreen/types.h
- usr/include/KF5/KScreen/kscreendpms/dpms.h
- usr/include/KF5/KScreen/kscreendpms/kscreendpms_export.h
- usr/include/KF5/kscreen_version.h
- usr/lib/systemd/user/plasma-kscreen.service
- usr/lib64/cmake/KF5Screen/KF5ScreenConfig.cmake
- usr/lib64/cmake/KF5Screen/KF5ScreenConfigVersion.cmake
- usr/lib64/cmake/KF5Screen/KF5ScreenTargets-gentoo.cmake
- usr/lib64/cmake/KF5Screen/KF5ScreenTargets.cmake
- usr/lib64/libKF5Screen.so
- usr/lib64/libKF5Screen.so.5.27.9
- usr/lib64/libKF5Screen.so.8
- usr/lib64/libKF5ScreenDpms.so
- usr/lib64/libKF5ScreenDpms.so.5.27.9
- usr/lib64/libKF5ScreenDpms.so.8
- usr/lib64/libexec/kf5/kscreen_backend_launcher
- usr/lib64/pkgconfig/kscreen2.pc
- usr/lib64/qt5/mkspecs/modules/qt_KScreen.pri
- usr/lib64/qt5/plugins/kf5/kscreen/KSC_Fake.so
- usr/lib64/qt5/plugins/kf5/kscreen/KSC_KWayland.so
- usr/lib64/qt5/plugins/kf5/kscreen/KSC_QScreen.so
- usr/lib64/qt5/plugins/kf5/kscreen/KSC_XRandR.so
- usr/lib64/qt5/plugins/kf5/kscreen/KSC_XRandR11.so
- usr/share/dbus-1/services/org.kde.kscreen.service
- usr/share/doc/libkscreen-5.27.9/README.md.bz2
- usr/share/locale/ca/LC_MESSAGES/libkscreen5_qt.qm
- usr/share/locale/ca@valencia/LC_MESSAGES/libkscreen5_qt.qm
- usr/share/locale/cs/LC_MESSAGES/libkscreen5_qt.qm
- usr/share/locale/de/LC_MESSAGES/libkscreen5_qt.qm
- usr/share/locale/en_GB/LC_MESSAGES/libkscreen5_qt.qm
- usr/share/locale/es/LC_MESSAGES/libkscreen5_qt.qm
- usr/share/locale/eu/LC_MESSAGES/libkscreen5_qt.qm
- usr/share/locale/fi/LC_MESSAGES/libkscreen5_qt.qm
- usr/share/locale/fr/LC_MESSAGES/libkscreen5_qt.qm
- usr/share/locale/gl/LC_MESSAGES/libkscreen5_qt.qm
- usr/share/locale/id/LC_MESSAGES/libkscreen5_qt.qm
- usr/share/locale/it/LC_MESSAGES/libkscreen5_qt.qm
- usr/share/locale/ja/LC_MESSAGES/libkscreen5_qt.qm
- usr/share/locale/ka/LC_MESSAGES/libkscreen5_qt.qm
- usr/share/locale/ko/LC_MESSAGES/libkscreen5_qt.qm
- usr/share/locale/nl/LC_MESSAGES/libkscreen5_qt.qm
- usr/share/locale/nn/LC_MESSAGES/libkscreen5_qt.qm
- usr/share/locale/pl/LC_MESSAGES/libkscreen5_qt.qm
- usr/share/locale/pt/LC_MESSAGES/libkscreen5_qt.qm
- usr/share/locale/pt_BR/LC_MESSAGES/libkscreen5_qt.qm
- usr/share/locale/ru/LC_MESSAGES/libkscreen5_qt.qm
- usr/share/locale/sk/LC_MESSAGES/libkscreen5_qt.qm
- usr/share/locale/sl/LC_MESSAGES/libkscreen5_qt.qm
- usr/share/locale/sv/LC_MESSAGES/libkscreen5_qt.qm
- usr/share/locale/tr/LC_MESSAGES/libkscreen5_qt.qm
- usr/share/locale/uk/LC_MESSAGES/libkscreen5_qt.qm
- usr/share/locale/zh_CN/LC_MESSAGES/libkscreen5_qt.qm
- usr/share/locale/zh_TW/LC_MESSAGES/libkscreen5_qt.qm
- usr/share/qlogging-categories5/libkscreen.categories
- usr/share/zsh/site-functions/_kscreen-doctor
- var/db/pkg/kde-plasma/libkscreen-5.27.9/BDEPEND
- var/db/pkg/kde-plasma/libkscreen-5.27.9/BUILD_TIME
- var/db/pkg/kde-plasma/libkscreen-5.27.9/CATEGORY
- var/db/pkg/kde-plasma/libkscreen-5.27.9/CBUILD
- var/db/pkg/kde-plasma/libkscreen-5.27.9/CFLAGS
- var/db/pkg/kde-plasma/libkscreen-5.27.9/CHOST
- var/db/pkg/kde-plasma/libkscreen-5.27.9/CONTENTS
- var/db/pkg/kde-plasma/libkscreen-5.27.9/COUNTER
- var/db/pkg/kde-plasma/libkscreen-5.27.9/CXXFLAGS
- var/db/pkg/kde-plasma/libkscreen-5.27.9/DEFINED_PHASES
- var/db/pkg/kde-plasma/libkscreen-5.27.9/DEPEND
- var/db/pkg/kde-plasma/libkscreen-5.27.9/DESCRIPTION
- var/db/pkg/kde-plasma/libkscreen-5.27.9/EAPI
- var/db/pkg/kde-plasma/libkscreen-5.27.9/FEATURES
- var/db/pkg/kde-plasma/libkscreen-5.27.9/HOMEPAGE
- var/db/pkg/kde-plasma/libkscreen-5.27.9/INHERITED
- var/db/pkg/kde-plasma/libkscreen-5.27.9/IUSE
- var/db/pkg/kde-plasma/libkscreen-5.27.9/IUSE_EFFECTIVE
- var/db/pkg/kde-plasma/libkscreen-5.27.9/KEYWORDS
- var/db/pkg/kde-plasma/libkscreen-5.27.9/LDFLAGS
- var/db/pkg/kde-plasma/libkscreen-5.27.9/LICENSE
- var/db/pkg/kde-plasma/libkscreen-5.27.9/NEEDED
- var/db/pkg/kde-plasma/libkscreen-5.27.9/PF
- var/db/pkg/kde-plasma/libkscreen-5.27.9/PROVIDES
- var/db/pkg/kde-plasma/libkscreen-5.27.9/RDEPEND
- var/db/pkg/kde-plasma/libkscreen-5.27.9/REQUIRES
- var/db/pkg/kde-plasma/libkscreen-5.27.9/RESTRICT
- var/db/pkg/kde-plasma/libkscreen-5.27.9/SIZE
- var/db/pkg/kde-plasma/libkscreen-5.27.9/SLOT
- var/db/pkg/kde-plasma/libkscreen-5.27.9/USE
- var/db/pkg/kde-plasma/libkscreen-5.27.9/environment.bz2
- var/db/pkg/kde-plasma/libkscreen-5.27.9/libkscreen-5.27.9.ebuild
- var/db/pkg/kde-plasma/libkscreen-5.27.9/repository
package_cacheimage: ""
runtime:
  name: libkscreen
  version: 5.27.9
  category: kde-plasma-5
  use_flags:
  - -doc
  - -test
  - prefix
  requires:
  - name: qtx11extras
    version: '>=0'
    category: dev-qt-5
  - name: kcoreaddons
    version: '>=0'
    category: kde-frameworks-5
  - name: kwayland
    version: '>=0'
    category: kde-frameworks-5
  - name: libxcb
    version: '>=0'
    category: x11-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Plasma screen management library
  uri:
  - https://kde.org/
  license: GPL-2
  labels:
    BDEPEND: dev-util/wayland-scanner dev-util/ninja >=dev-util/cmake-3.9.6 test?
      ( !prefix? ( x11-base/xorg-server[xvfb] ) x11-apps/xhost ) >=kde-frameworks/extra-cmake-modules-5.98.0:5
      doc? ( >=dev-qt/qthelp-5.15.2:5 >=app-doc/doxygen-1.8.13-r1 )
    DEPEND: dev-libs/wayland >=dev-qt/qtdbus-5.15.2:5 >=dev-qt/qtgui-5.15.2:5 >=dev-qt/qtwayland-5.15.2:5
      >=dev-qt/qtx11extras-5.15.2:5 >=kde-frameworks/kconfig-5.98.0:5 >=kde-frameworks/kwayland-5.98.0:5
      x11-libs/libxcb >=dev-libs/plasma-wayland-protocols-1.10.0 dev-util/desktop-file-utils
      x11-misc/shared-mime-info test? ( >=dev-qt/qttest-5.15.2:5 ) >=dev-qt/qtcore-5.15.2:5
      doc? ( >=dev-qt/qt-docs-5.15.2:5 ) dev-util/desktop-file-utils
    IUSE: test debug doc test
    RDEPEND: dev-libs/wayland >=dev-qt/qtdbus-5.15.2:5 >=dev-qt/qtgui-5.15.2:5 >=dev-qt/qtwayland-5.15.2:5
      >=dev-qt/qtx11extras-5.15.2:5 >=kde-frameworks/kconfig-5.98.0:5 >=kde-frameworks/kwayland-5.98.0:5
      x11-libs/libxcb >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.98.0:5
      kde-frameworks/oxygen-icons:* ) >=dev-qt/qtcore-5.15.2:5 doc? ( >=dev-qt/qt-docs-5.15.2:5
      )
    emerge.packages: kde-plasma/libkscreen:5
    kit: kde-kit
    original.package.name: kde-plasma/libkscreen
    original.package.slot: "5"
    original.package.version: 5.27.9
